#!/bin/bash

logfile=/var/lib/rabbitmq/log/rabbit\@$HOSTNAME.log
ln -sf /dev/stdout $logfile

if [ "$CLUSTERED" == "false" ]; then
	# if not clustered then start it normally as if it is a single server
	/usr/sbin/rabbitmq-server >$logfile &
else
	if [ -z "$CLUSTER_WITH" ]; then
		# If clustered, but cluster with is not specified then again start normally, could be the first server in the
		# cluster
		/usr/sbin/rabbitmq-server >$logfile &
	else
		/usr/sbin/rabbitmq-server >$logfile &
		rabbitmqctl stop_app
		if [ -z "$RAM_NODE" ]; then
			rabbitmqctl join_cluster rabbit@$CLUSTER_WITH
		else
			rabbitmqctl join_cluster --ram rabbit@$CLUSTER_WITH
		fi
		rabbitmqctl start_app
	fi
fi
